#include<msp430x14x.h>
#include"uart0.h"
#include <ctype.h> 
typedef unsigned char uchar;
/*******************************************
ƣInitUART
    ܣʼUART˿
    
ֵ  
********************************************/
void InitUART(void)
{
    P3SEL |= 0x30;                            // P3.4,5 = USART0 TXD/RXD
    ME1 |= URXE0 + UTXE0;                             // Enable USART0 T/RXD
    UCTL0 |= CHAR;                            // 8-bit character
    UTCTL0 |= SSEL0;                          // UCLK = ACLK
    UBR00 = 0x03;                             // 32k/9600 - 3.41
    UBR10 = 0x00;                             //
    UMCTL0 = 0x4A;                            // Modulation
    UCTL0 &= ~SWRST;                          // Initialize USART state machine
}
/*******************************************
ƣUART_Send_Byte
    ܣPCһַ
    sendchar--Ҫ͵ַ
ֵ  
********************************************/
void UART_Send_Byte(uchar sendchar)
{
      while (!(IFG1 & UTXIFG0));    //ȴͼĴΪ         
      TXBUF0 = sendchar; 
   
}
/*******************************************
ƣUART_Send_Str
    ܣPCַ
    ptr--ַָָ
ֵ  
********************************************/
void UART_Send_Str(uchar *ptr)
{
      while(*ptr != '\0')
      {
            UART_Send_Byte(*ptr++);                     // 
      }
      while (!(IFG1 & UTXIFG0));
      TXBUF0 = '\n';                              //ͻָ
}
/*******************************************
ƣGet1Char
    ܣһPCַ
    
ֵ  յַ
********************************************/
uchar Get1Char(void)
{
    while (!(IFG1 & URXIFG0));    //ȴյַ        
    return  RXBUF0;
}
